<div>
  <h2 id="page-heading" data-cy="NotarisHeading">
    <span>Notarises</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-notaris"
        [routerLink]="['/notaris/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Notaris</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (notarises?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Notarises found</span>
    </div>
  }

  @if (notarises && notarises.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="namaShort">
              <div class="d-flex">
                <span>Nama Short</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titelShortOne">
              <div class="d-flex">
                <span>Titel Short One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titelShortTwo">
              <div class="d-flex">
                <span>Titel Short Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titelLongOne">
              <div class="d-flex">
                <span>Titel Long One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titelLongTwo">
              <div class="d-flex">
                <span>Titel Long Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="wilayahKerja">
              <div class="d-flex">
                <span>Wilayah Kerja</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kedudukan">
              <div class="d-flex">
                <span>Kedudukan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="sk">
              <div class="d-flex">
                <span>Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglSk">
              <div class="d-flex">
                <span>Tgl Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jenisHariKerja">
              <div class="d-flex">
                <span>Jenis Hari Kerja</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamKerjaAwalOne">
              <div class="d-flex">
                <span>Jam Kerja Awal One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamKerjaAkhirOne">
              <div class="d-flex">
                <span>Jam Kerja Akhir One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamKerjaAwalTwo">
              <div class="d-flex">
                <span>Jam Kerja Awal Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamKerjaAkhirTwo">
              <div class="d-flex">
                <span>Jam Kerja Akhir Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="selisihPukul">
              <div class="d-flex">
                <span>Selisih Pukul</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamRestAwalOne">
              <div class="d-flex">
                <span>Jam Rest Awal One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamRestAkhirOne">
              <div class="d-flex">
                <span>Jam Rest Akhir One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamRestAwalTwo">
              <div class="d-flex">
                <span>Jam Rest Awal Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jamRestAkhirTwo">
              <div class="d-flex">
                <span>Jam Rest Akhir Two</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="maksAkta">
              <div class="d-flex">
                <span>Maks Akta</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="maksOrderHarian">
              <div class="d-flex">
                <span>Maks Order Harian</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="lembarSk">
              <div class="d-flex">
                <span>Lembar Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="lembarSumpah">
              <div class="d-flex">
                <span>Lembar Sumpah</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamatKantor">
              <div class="d-flex">
                <span>Alamat Kantor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamatEmail">
              <div class="d-flex">
                <span>Alamat Email</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="penerimaKuasa.id">
              <div class="d-flex">
                <span>Penerima Kuasa</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody
          infinite-scroll
          (scrolled)="loadPage(page + 1)"
          [infiniteScrollDisabled]="page - 1 >= links['last']"
          [infiniteScrollDistance]="0"
        >
          @for (notaris of notarises; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/notaris', notaris.id, 'view']">{{ notaris.id }}</a>
              </td>
              <td>{{ notaris.nama }}</td>
              <td>{{ notaris.namaShort }}</td>
              <td>{{ notaris.titelShortOne }}</td>
              <td>{{ notaris.titelShortTwo }}</td>
              <td>{{ notaris.titelLongOne }}</td>
              <td>{{ notaris.titelLongTwo }}</td>
              <td>{{ notaris.wilayahKerja }}</td>
              <td>{{ notaris.kedudukan }}</td>
              <td>{{ notaris.sk }}</td>
              <td>{{ notaris.tglSk | formatMediumDate }}</td>
              <td>{{ notaris.jenisHariKerja }}</td>
              <td>{{ notaris.jamKerjaAwalOne | formatMediumDatetime }}</td>
              <td>{{ notaris.jamKerjaAkhirOne | formatMediumDatetime }}</td>
              <td>{{ notaris.jamKerjaAwalTwo | formatMediumDatetime }}</td>
              <td>{{ notaris.jamKerjaAkhirTwo | formatMediumDatetime }}</td>
              <td>{{ notaris.selisihPukul }}</td>
              <td>{{ notaris.jamRestAwalOne | formatMediumDatetime }}</td>
              <td>{{ notaris.jamRestAkhirOne | formatMediumDatetime }}</td>
              <td>{{ notaris.jamRestAwalTwo | formatMediumDatetime }}</td>
              <td>{{ notaris.jamRestAkhirTwo | formatMediumDatetime }}</td>
              <td>{{ notaris.maksAkta }}</td>
              <td>{{ notaris.maksOrderHarian }}</td>
              <td>{{ notaris.lembarSk }}</td>
              <td>{{ notaris.lembarSumpah }}</td>
              <td>{{ notaris.alamatKantor }}</td>
              <td>{{ notaris.alamatEmail }}</td>
              <td>{{ notaris.noKontak }}</td>
              <td>{{ notaris.recordStatus }}</td>
              <td>{{ notaris.updateBy }}</td>
              <td>{{ notaris.updateOn | formatMediumDatetime }}</td>
              <td>
                @if (notaris.penerimaKuasa) {
                  <div>
                    <a [routerLink]="['/penerima-kuasa', notaris.penerimaKuasa.id, 'view']">{{ notaris.penerimaKuasa.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/notaris', notaris.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/notaris', notaris.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(notaris)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
</div>
